This package is the basic open source version of CryptoCoin Explorer 4.0.
Switch branches/tags
Nothing to show
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
docs
html Add transaction table to block page Jun 11, 2015
COPYING
README.rst
cce.conf Add config options + small bug Fixes Jun 28, 2015
coin.sh First Commit May 8, 2015
comm.py Add config options + small bug Fixes Jun 28, 2015
dbload.py
kill.sh
newdb.sql Add config options + small bug Fixes Jun 28, 2015
server.conf
serverutil.py
start.sh First Commit May 8, 2015
stats.py
websrv.py Add comments and small improvments May 11, 2015

README.rst

CCE 4 - Open Source Version

This package is the basic open source version of CryptoCoin Explorer 4.0.

The purpose of a block chain explorer is to setup and maintain a web application friendly database of a cryptocoin block chain. A basic database loader and explorer web server is included.

This package is intended to be a foundation in creating a feature rich explorer. However, it can be used as a basic explorer as-is.

The closed source production version in development is much more robust and feature rich. In the time up to the roll out/upgrade of cryptocoinexplorer.com from 3.5 to 4.0, some features will be added to this open source package.

Requirements for Database Loader

  • Python 2.7
  • MySQL-Server
  • Simplejson
  • PyMySql
  • Interrupting cow
  • Requests

Requirements for Web Server

  • All the requirements for the Database Loader
  • CherryPy >= 3.6
  • Jinja2
  • DBUtils 1.1

Where to Get Dependencies

Documentation Files

  • Located in the the docs folder

    • dbload.rst (Setup, configuration and operation of the database loader)
    • web_server.rst (Setup, configuration and operation of the web server)